"Change Set:		AioPluginV2-2-dtl
Date:			19 December 2007
Author:			David T. Lewis

AioPlugin provides support for asychronous IO event notification. When an external aio event occurs, the event registration causes a Smalltalk semaphore to be signaled. A process can wait on this semaphore, thereby acting as an event handler for the external event.

UnixAioPlugin implements the primitives that interact with the aio mechanism in the Unix VM. Other platform-specific subclasses could be written to provide a compatible aio mechanism for other platforms.

Version history:

Version 2.2:
- Fix error in parameter checking that caused intermittent problems in CommandShell unit tests.

Version 2.1.2:
- Handle #platformName move to SmalltalkImage.

Version 2.1.1:
- Fix underscores. No functional changes.

Version 2.1:
- Eliminate some #cCode: calls, keep consistent with OSPP.
- Add #shouldBeTranslatedFor: to support VMM cross generation.

Version 2.0:
- Updated to provide 64-bit compatibility. The AIO plugin now compiles and runs for both 32 bit and 64 bit Unix VMs and executes on 32 or 64 bit hardware. AIO support code has been moved to the OSProcess package. This package now includes only the plugin."!

